package slgfp;

/**
 * La clase nos sirve para realizar la paginacin de los datos de salida.
 * 
 * @version 1.0, 03-05-2011
 * @author Sergio Lovillo
 */

@SuppressWarnings({ "serial", "rawtypes" })
public class MarcadorPagina implements Cloneable, java.io.Serializable {

	protected int paginasTotal = 0;
	protected int numeroPagina = 0;
	protected int objetosTotal = 0;
	protected java.util.List pagina = null;

	/** Crea una nueva instancia de MarcadorPagina */
	public MarcadorPagina() {
	}

	public MarcadorPagina(int numeroPagina, int paginasTotal, int objetosTotal,
			java.util.List pagina) {
		this.numeroPagina = numeroPagina;
		this.paginasTotal = paginasTotal;
		this.objetosTotal = objetosTotal;
		this.pagina = pagina;
	}

	public int getPagesTotal() {
		return paginasTotal;
	}

	public void setPaginasTotal(int paginasTotal) {
		this.paginasTotal = paginasTotal;
	}

	public int getNumeroPagina() {
		return numeroPagina;
	}

	public void setNumeroPagina(int numeroPagina) {
		this.numeroPagina = numeroPagina;
	}

	public java.util.List getPagina() {
		return pagina;
	}

	public void setPagina(java.util.List pagina) {
		this.pagina = pagina;
	}

	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("numeroPagina=").append(numeroPagina);
		sb.append("&paginasTotal=").append(paginasTotal);
		sb.append("&objetosTotal=").append(objetosTotal);
		sb.append("&pagina=").append(pagina);
		return sb.toString();
	}

	public int getObjetosTotal() {
		return objetosTotal;
	}

	public void setObjectosTotal(int objetosTotal) {
		this.objetosTotal = objetosTotal;
	}

}
