package slgfp;

/**
 * La interface la usaremos de apoyo para la clase DBGrabarDatos.
 * 
 * @version 1.0, 03-05-2011
 * @author Sergio Lovillo
 */

public interface GrabarDatos extends java.io.Serializable, Cloneable {
	public boolean grabarDatos(FabricaObjPersistencia requestor);

	public void resetear();

	public int getNumeroDeModificados();

	public int getNumeroCreados();

	public int getNumeroEliminados();

	@SuppressWarnings("rawtypes")
	public java.util.List getGeneradosSQL();

	public java.lang.String getGeneradosSQLComoXML();

	public java.lang.Throwable getQueEstaMal();

	public boolean esExcepcionListaObjetosVacia();

	public void setExcepcionListaObjetosVacia(boolean excepcionListaObjetosVacia);
}
