package slgfp;

/**
 * La interfaz nos sirve para el control de excepciones del framework. Los
 * mtodos debe devolver true para proseguir el proceso y false para lanzar
 * throwable t
 * 
 * @version 1.0, 03-05-2011
 * @author Sergio Lovillo
 */

@SuppressWarnings("rawtypes")
public interface ManejadorExcepciones extends java.io.Serializable {

	public boolean manejadorExcepciones(ObjPersistencia objPersistencia,
			String sql, java.util.Collection p, Throwable t);

	public boolean manejadorExcepciones(ObjPersistencia objPersistencia,
			String sql, Throwable t);

	public boolean manejadorExcepciones(ObjPersistencia objPersistencia,
			Throwable t);

	public boolean manejadorExcepciones(ObjPersistencia objPersistencia,
			String campo, Object valor, Throwable t);

	public void setFabricaObjPersistente(FabricaObjPersistencia fabrica);
}
