package slgfp.pruebas;

/**
 * Nos sirve de base para recuperar los registros de la tabla ITEM de la base de
 * datos
 * 
 * @version 1.0, 03-05-2011
 * @author Sergio Lovillo
 */

@SuppressWarnings({ "serial" })
public class Articulos extends slgfp.ObjPersistenciaAbstracto implements
		java.io.Serializable, Cloneable {

	public Articulos() {
	}

	protected java.lang.Integer facturaId;
	protected java.lang.Integer articulo;
	protected java.lang.Integer productoId;
	protected java.lang.Integer cantidad;
	protected java.math.BigDecimal coste;

	public java.lang.Integer getFacturaId() {
		return this.facturaId;
	}

	public void setFacturaId(java.lang.Integer facturaId) {
		if (!isCargando()) {
			if (facturaId == null) {
				throw new IllegalArgumentException(
						"No se encuentra el campo: facturaId");
			}
			if (!facturaId.equals(this.facturaId)) {
				this.modificado = true;
			}
		}
		this.facturaId = facturaId;
	}

	public java.lang.Integer getArticulo() {
		return this.articulo;
	}

	public void setArticulo(java.lang.Integer articulo) {
		if (!isCargando()) {
			if (articulo == null) {
				throw new IllegalArgumentException(
						"No se encuentra el campo: articulo");
			}
			if (!articulo.equals(this.articulo)) {
				this.modificado = true;
			}
		}
		this.articulo = articulo;
	}

	public java.lang.Integer getProductoId() {
		return this.productoId;
	}

	public void setProductoId(java.lang.Integer productoId) {
		if (!isCargando()) {
			if (productoId == null) {
				throw new IllegalArgumentException(
						"No se encuentra el campo: productoId");
			}
			if (!productoId.equals(this.productoId)) {
				this.modificado = true;
			}
		}
		this.productoId = productoId;
	}

	public java.lang.Integer getCantidad() {
		return this.cantidad;
	}

	public void setCantidad(java.lang.Integer cantidad) {
		if (!isCargando()) {
			if (cantidad == null) {
				throw new IllegalArgumentException(
						"No se encuentra el campo: cantidad");
			}
			if (!cantidad.equals(this.cantidad)) {
				this.modificado = true;
			}
		}
		this.cantidad = cantidad;
	}

	public java.math.BigDecimal getCoste() {
		return this.coste;
	}

	public void setCoste(java.math.BigDecimal coste) {
		if (!isCargando()) {
			if (coste == null) {
				throw new IllegalArgumentException(
						"No se encuentra el campo: precio");
			}
			if (!coste.equals(this.coste)) {
				this.modificado = true;
			}
		}
		this.coste = coste;
	}
}
