package slgfp.pruebas;

/**
 * Nos sirve de base para recuperar los registros de la tabla CUSTOMER de la base de
 * datos
 * 
 * @version 1.0, 03-05-2011
 * @author Sergio Lovillo
 */
@SuppressWarnings("serial")
public class Clientes extends slgfp.ObjPersistenciaAbstracto implements
		java.io.Serializable, Cloneable {

	public Clientes() {
	}

	protected java.lang.Integer idCliente;
	protected java.lang.String nombre;
	protected java.lang.String apellidos;
	protected java.lang.String direccion;
	protected java.lang.String ciudad;

	public java.lang.Integer getIdCliente() {
		return this.idCliente;
	}

	public void setIdCliente(java.lang.Integer idCliente) {
		if (!isCargando()) {
			if (idCliente == null) {
				throw new IllegalArgumentException("Falta el campo: clientesId");
			}
			if (!idCliente.equals(this.idCliente)) {
				this.modificado = true;
			}
		}
		this.idCliente = idCliente;
	}

	public java.lang.String getNombre() {
		return this.nombre;
	}

	public void setNombre(java.lang.String nombre) {
		if (!isCargando()) {
			if (nombre == null) {
				throw new IllegalArgumentException(
						"Falta el campo: nombreProducto");
			}
			if (!nombre.equals(this.nombre)) {
				this.modificado = true;
			}
		}
		this.nombre = nombre;
	}

	public java.lang.String getApellidos() {
		return this.apellidos;
	}

	public void setApellidos(java.lang.String apellidos) {
		if (!isCargando()) {
			if (apellidos == null) {
				throw new IllegalArgumentException("Falta el campo: apellidos");
			}
			if (!apellidos.equals(this.apellidos)) {
				this.modificado = true;
			}
		}
		this.apellidos = apellidos;
	}

	public java.lang.String getDireccion() {
		return this.direccion;
	}

	public void setDireccion(java.lang.String direccion) {
		if (!isCargando()) {
			if (direccion == null) {
				throw new IllegalArgumentException("Falta el campo: direccion");
			}
			if (!direccion.equals(this.direccion)) {
				this.modificado = true;
			}
		}
		this.direccion = direccion;
	}

	public java.lang.String getCiudad() {
		return this.ciudad;
	}

	public void setCiudad(java.lang.String ciudad) {
		if (!isCargando()) {
			if (ciudad == null) {
				throw new IllegalArgumentException("Falta el campo: ciudad");
			}
			if (!ciudad.equals(this.ciudad)) {
				this.modificado = true;
			}
		}
		this.ciudad = ciudad;
	}
}
