package slgfp.pruebas;

/**
 * Nos sirve de base para recuperar los registros de la tabla INVOICE de la base
 * de datos preparndonos para definir las estructuras necesarias.
 * 
 * @version 1.0, 03-05-2011
 * @author Sergio Lovillo
 */

@SuppressWarnings("serial")
public class Facturas extends slgfp.ObjPersistenciaAbstracto implements
		java.io.Serializable, Cloneable {

	public Facturas() {
	}

	protected java.lang.Integer facturaId;
	protected java.lang.Integer clienteId;
	protected java.math.BigDecimal total;

	public java.lang.Integer getFacturaId() {
		return this.facturaId;
	}

	public void setFacturaId(java.lang.Integer facturaId) {
		if (!isCargando()) {
			if (clienteId == null) {
				throw new IllegalArgumentException(
						"No se encuentra el campo: FacturaId");
			}
			if (!facturaId.equals(this.facturaId)) {
				this.modificado = true;
			}
		}
		this.facturaId = facturaId;
	}

	public java.lang.Integer getClienteId() {
		return this.clienteId;
	}

	public void setClienteId(java.lang.Integer clienteId) {
		if (!isCargando()) {
			if (clienteId == null) {
				throw new IllegalArgumentException(
						"No se encuentra el campo: clienteId");
			}
			if (!clienteId.equals(this.clienteId)) {
				this.modificado = true;
			}
		}
		this.clienteId = clienteId;
	}

	public java.math.BigDecimal getTotal() {
		return this.total;
	}

	public void setTotal(java.math.BigDecimal total) {
		if (!isCargando()) {
			if (total == null) {
				throw new IllegalArgumentException(
						"No se encuentra el campo: total");
			}
			if (!total.equals(this.total)) {
				this.modificado = true;
			}
		}
		this.total = total;
	}
}
