package slgfp.pruebas;

/**
 * Nos sirve de base para recuperar los registros de la tabla PRODUCT de la base
 * de datos preparndonos para definir las estructuras necesarias.
 * 
 * @version 1.0, 03-05-2011
 * @author Sergio Lovillo
 */

@SuppressWarnings("serial")
public class Productos extends slgfp.ObjPersistenciaAbstracto implements
		java.io.Serializable, Cloneable {

	public Productos() {
	}

	protected java.lang.Integer productoId;
	protected java.lang.String nombreProducto;
	protected double precio;
	protected java.lang.String observaciones;

	public java.lang.Integer getProductoId() {
		return this.productoId;
	}

	public void setProductoId(java.lang.Integer productoId) {
		if (!isCargando()) {

			if (productoId == null) {
				throw new IllegalArgumentException(
						"No se encuentra el campo: productoId");
			}
			if (!productoId.equals(this.productoId)) {
				this.modificado = true;
			}
		}
		this.productoId = productoId;
	}

	public java.lang.String getNombreProducto() {
		return this.nombreProducto;
	}

	public void setNombreProducto(java.lang.String nombre) {
		if (!isCargando()) {
			if (nombre == null) {
				throw new IllegalArgumentException(
						"No se encuentra el campo: nombreProducto");
			}
			if (!nombre.equals(this.nombreProducto)) {
				this.modificado = true;
			}
		}
		this.nombreProducto = nombre;
	}

	public double getPrecio() {
		return this.precio;
	}

	public void setPrecio(double precio) {
		if (!isCargando()) {
			if (precio <= 0.0) {
				throw new IllegalArgumentException("Precio incorrecto: "
						+ precio);
			}
			if (precio != this.precio) {
				this.modificado = true;
			}
		}
		this.precio = precio;
	}

	public java.lang.String getObservaciones() {
		return this.observaciones;
	}

	public void setObservaciones(java.lang.String observaciones) {
		if (!isCargando()) {
			if (observaciones == null && this.observaciones != null) {
				this.modificado = true;
			} else if (observaciones != null && this.observaciones == null) {
				this.modificado = true;
			} else if (!observaciones.equals(this.observaciones)) {
				this.modificado = true;
			}
		}
		this.observaciones = observaciones;
	}
}
