package slgfp.util.comun;

import java.util.Set;
import java.util.Map;
import java.util.Arrays;
import java.util.LinkedHashMap;
import java.io.Serializable;

/**
 * Esta clase la usaremos para establecer el orden de un Map.
 * 
 * @version 1.0, 03-05-2011
 * @author Sergio Lovillo
 */

@SuppressWarnings("serial")
public class MapValorClasificador implements Serializable {

	MapValorComparador comp = new MapValorComparador();

	public MapValorClasificador() {
	}

	@SuppressWarnings({ "rawtypes", "unchecked" })
	public Map sort(Map m) {
		Set s = m.entrySet();
		int t = s.size();
		Map.Entry[] e = (Map.Entry[]) s.toArray(new Map.Entry[t]);
		Arrays.sort(e, comp);
		LinkedHashMap lhm = new LinkedHashMap(t);
		for (int i = 0; i < t; i++) {
			lhm.put(e[i].getKey(), e[i].getValue());
		}
		s = null;
		m = null;
		e = null;

		return lhm;
	}
}
